package data_manage

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

// ComTradeCountry 联合国商品贸易数据库的国家编码表
type ComTradeCountry struct {
	Id         int       `orm:"column(id);pk"`
	ThirdId    int       `description:"第三方的国家id"`
	Name       string    `description:"国家名称（英文）"`
	NameCn     string    `description:"国家名称（中文）"`
	ModifyTime time.Time `description:"修改时间"`
	CreateTime time.Time `description:"创建时间"`
}

// AddComTradeCountry 添加联合国商品贸易数据库的国家编码
func AddComTradeCountry(item *ComTradeCountry) (lastId int64, err error) {
	o := orm.NewOrmUsingDB("data")
	lastId, err = o.Insert(item)
	if err != nil {
		return
	}
	item.Id = int(lastId)
	return
}

// ComTradeCountryItem 联合国商品贸易数据库的国家编码表
type ComTradeCountryItem struct {
	ThirdId int    `description:"第三方的国家id"`
	Name    string `description:"国家名称（英文）"`
	NameCn  string `description:"国家名称（中文）"`
}

// GetComTradeCountryItemAll 获取所有的国家
func GetComTradeCountryItemAll() (list []*ComTradeCountryItem, err error) {
	o := orm.NewOrmUsingDB("data")
	sql := `SELECT * FROM com_trade_country`
	_, err = o.Raw(sql).QueryRows(&list)
	return
}
